unit TimeUsed;

{$MODE Delphi}

interface

uses
  LCLIntf, LCLType, LMessages, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TTimeUsedForm = class(TForm)
    OkButton: TButton;
    CancelButton: TButton;
    TimeUsedLabel: TLabel;
    TimeUsedEdit: TEdit;
    procedure FormShow(Sender: TObject);
    procedure OkButtonClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  TimeUsedForm: TTimeUsedForm;

implementation

uses Chess;

{$R *.lfm}

procedure TTimeUsedForm.FormShow(Sender: TObject);
begin
	TimeUsedEdit.Text := IntToStr(GameTimeUsed div 60);
end;

procedure TTimeUsedForm.OkButtonClick(Sender: TObject);
begin
	GameTimeUsed := StrToInt(TimeUsedEdit.Text) * 60;
end;

end.
