program Zzzzzz5;
{$define UseCThreads}
{$MODE Delphi}

uses
  CThreads,
  Forms, Interfaces,
  Main in 'Source\Main.pas' {MainForm},
  Utils in 'Source\Utils.pas',
  Chess in 'Source\Chess.pas',
  Prefs in 'Source\Prefs.pas' {PrefsForm},
  Rand in 'Source\Rand.pas',
  Lists in 'Source\Lists.pas',
  DebugRand in 'Source\DebugRand.pas' {DebugRandForm},
  Game in 'Source\Game.pas',
  Setup in 'Source\Setup.pas' {SetupForm},
  DebugLists in 'Source\DebugLists.pas' {DebugListsForm},
  Moves in 'Source\Moves.pas',
  Keys in 'Source\Keys.pas',
  Search in 'Source\Search.pas',
  Score in 'Source\Score.pas',
  Cache in 'Source\Cache.pas',
  Parameters in 'Source\Parameters.pas' {ParametersForm},
  Timer in 'Source\Timer.pas',
  About in 'Source\About.pas' {AboutForm},
  DebugVisit in 'Source\DebugVisit.pas' {DebugVisitForm},
  Thread in 'Source\Thread.pas',
  Settings in 'Source\Settings.pas' {SettingsForm},
  DebugScore in 'Source\DebugScore.pas' {DebugScoreForm},
  TimeUsed in 'Source\TimeUsed.pas' {TimeUsedForm},
  //Sound in 'Source\Sound.pas' {SoundForm},
  DebugBoard in 'Source\DebugBoard.pas' {DebugBoardForm};

{$R *.res}

begin
  Application.Initialize;
  Application.Title := 'ZZZZZZ';
  Application.CreateForm(TMainForm, MainForm);
  Application.CreateForm(TPrefsForm, PrefsForm);
  Application.CreateForm(TDebugRandForm, DebugRandForm);
  Application.CreateForm(TSetupForm, SetupForm);
  Application.CreateForm(TDebugListsForm, DebugListsForm);
  Application.CreateForm(TParametersForm, ParametersForm);
  Application.CreateForm(TAboutForm, AboutForm);
  Application.CreateForm(TDebugVisitForm, DebugVisitForm);
  Application.CreateForm(TSettingsForm, SettingsForm);
  Application.CreateForm(TDebugScoreForm, DebugScoreForm);
  Application.CreateForm(TTimeUsedForm, TimeUsedForm);
  //Application.CreateForm(TSoundForm, SoundForm);
  Application.CreateForm(TDebugBoardForm, DebugBoardForm);
  Application.Run;
end.
